> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Update organization (internalId)



## OpenAPI

````yaml openapi/findity-admin-api-1.json POST /organizations/{internalId}/
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /organizations/{internalId}/:
    post:
      tags:
        - Organizations
      summary: V0 - Update organization (internalId)
      operationId: 72ac2457-63fc-4fe9-a76a-6f977bdc0e9d
      parameters:
        - $ref: '#/components/parameters/internalId'
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
            description: ''
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: ''
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: object
                  properties:
                    city:
                      type: string
                      example: City
                    country:
                      type: string
                      example: Sweden
                    postalCode:
                      type: string
                      example: '-'
                    countryId:
                      type: string
                      example: 2b9fbaa2630511e18824b0dd45bff075
                    countryCode:
                      type: string
                      example: SE
                    street3:
                      nullable: true
                    street2:
                      nullable: true
                    street1:
                      type: string
                      example: Example street
                className:
                  type: string
                  example: com.findity.consumer.Company
                  description: >-
                    Should always be the value com.findity.consumer.Company if
                    used, and is required only if creating an Organization
                settings:
                  type: object
                  properties:
                    errorMailRecipient:
                      type: string
                      example: errormail@ExOrg2.com
                name:
                  type: string
                  example: Example organization 2
                vat:
                  type: string
                  example: 123456-1234
                externalSourceId:
                  type: string
                  example: '1234'
                  description: >-
                    The external identifier used to identify this specific
                    Organization. This variable is required if you are creating
                    or updating an Organization
        required: true
      responses:
        '200':
          description: ''
components:
  parameters:
    internalId:
      in: path
      name: internalId
      required: true
      description: The internal id of the organization
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````